<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task4</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!-- Tasks
        1. JavaScript Program to Swap Two Variables
        2. JavaScript Program to Check Prime Number
        3. JavaScript Program to Find Sum of Natural Numbers Using Recursion
        4. JavaScript Program to Replace Characters of a String
        5. JavaScript Program to Loop Through an Object
    -->
</head>
<body>
    <script>
        const student = {
                name: 'John',
                age: 20,
                hobbies: ['reading', 'games', 'coding'],
        };
        function loo(){
            
            for (let key in student) { 
            let val;

            // get the value
            val = student[key];
            document.getElementById("op").value=key+"-"+val;
            }
        }

    </script>
    <div>
        <h1>Loop through an Object</h1>
        <p id="op"></p>
        <button style="color: aqua;width: auto;height: auto;" onclick="loo()">press me!!!</button>
    </div>
</body>
</html>